spack:
  specs:
    # Base
    - python@3.8.11 %gcc@10.3.0
    # Notebook
    #- py-jupyter %gcc@10.3.0
    - py-ipython %gcc@10.3.0
    - py-ipykernel %gcc@10.3.0
    - py-notebook %gcc@10.3.0
    # Collab utils
    - clb-nb-utils@0.1.0 %gcc@10.3.0
    # General
    - py-pip %gcc@10.3.0
    - py-numpy %gcc@10.3.0
    - py-scipy %gcc@10.3.0
    - py-pandas %gcc@10.3.0
    - py-seaborn %gcc@10.3.0
    - py-matplotlib %gcc@10.3.0
    - py-nameparser %gcc@10.3.0
    #- py-version-query %gcc@10.3.0
    # EBRAINS simulators
    - apbs %gcc@10.3.0
    - py-pdb2pqr %gcc@10.3.0
    - sda@7.3.3c %gcc@9.4.0
    - nest@3.2 +python +gsl +mpi %gcc@10.3.0
    - arbor +python +mpi ^python@3:3.9 %gcc@10.3.0
    - neuron +mpi %gcc@10.3.0
    - py-pynn@0.9.6 %gcc@10.3.0
    - tvb-data %gcc@10.3.0
    - tvb-library ^py-numba@0.54.0 ^binutils+ld+gold %gcc@10.3.0
    - tvb-storage ^binutils+ld+gold %gcc@10.3.0
    - py-pyaescrypt %gcc@10.3.0
    - py-formencode %gcc@10.3.0
    - tvb-framework ^binutils+ld+gold %gcc@10.3.0
    - pynn-brainscales@2.0-rc1 ^log4cxx@0.10.0 ^googletest@1.11.0:+gmock %gcc@10.3.0
    #- py-cerebstats %gcc@10.3.0
    #- py-cerebunit %gcc@10.3.0
    - py-cerebrus %gcc@10.3.0
    - py-sciunit@0.2.5.1 %gcc@10.3.0
    - py-quantities-scidash@0.12.4.3 %gcc@10.3.0
    #- py-ebrains-drive@0.4.0 %gcc@10.3.0
    #- py-vf-client@0.6.3 %gcc@10.3.0
    - py-hbp-archive@1.1.1 %gcc@10.3.0
    #- py-morphounit@1.0.4 %gcc@10.3.0
    #- py-neurom@1.4.10 %gcc@10.3.0
    #- py-morphio@3.1.1 %gcc@10.3.0
    - py-hippounit@1.3.6 %gcc@10.3.0
    - py-efel@4.0.4 %gcc@10.3.0
    - py-hbp-neuromorphic-platform@0.10.1 %gcc@10.3.0
    #- py-torch~onnx_ml~rocm~tensorpipe~mpi~distributed ^protobuf@:3.17.999 %gcc@10.3.0
    - py-lfpy@2.2.6 %gcc@10.3.0
    #- biobb-common %gcc@10.3.0
    # demo for codejam12
    #- funniest1022 %gcc@10.3.0
  concretization: together
